<mat-toolbar class="color-header">
  <div class="header">
    <h3>Customer Details</h3>
  </div>
</mat-toolbar>
<div class="mb-2 p-4">
  <button class="button" mat-raised-button color="primary" (click)="openAddModal()"><span class="material-icons">
  note_add
  </span> Add Customer Profile</button>
</div>
<div class="users-table">
  <table class="mat-elevation-z8" (matSortChange)="sortData($event)" mat-table [dataSource]="dataSource" matSort matSortActive="firstName" matSortDirection="asc">
    <ng-container matColumnDef="firstName">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> First Name </th>
      <td mat-cell *matCellDef="let element"> {{element.FirstName}} </td>
    </ng-container>
    <ng-container matColumnDef="lastName">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Last Name </th>
      <td mat-cell *matCellDef="let element"> {{element.LastName}} </td>
    </ng-container>
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Email </th>
      <td mat-cell *matCellDef="let element"> {{element.Email}} </td>
    </ng-container>
    <ng-container matColumnDef="mobile">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Mobile number </th>
      <td mat-cell *matCellDef="let element"> {{element.Mobile}} </td>
    </ng-container>
    <ng-container matColumnDef="dateOfBirth">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Date Of Birth </th>
      <td mat-cell *matCellDef="let element"> {{element.DOB | date:"dd/MM/yyyy"}} </td>
    </ng-container>
    <ng-container matColumnDef="city">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> City </th>
      <td mat-cell *matCellDef="let element"> {{element.City}} </td>
    </ng-container>
    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef> Actions </th>
      <td mat-cell *matCellDef="let element">
        <mat-icon aria-hidden="false" (click)="openAddModal(element)" class="text-primary" aria-label="view Details">mode_edit</mat-icon>
        <mat-icon aria-hidden="false" (click)="openDeleteModal(element)" class="text-danger" aria-label="view Details">delete</mat-icon>
      </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  <div style="padding: 14px;text-align: center;color: #ef690f;" *ngIf="tRowNoRecord">No Records Found.</div>
</div>
<div *ngIf="!tRowNoRecord">
  <mat-paginator [pageSizeOptions]="itemsInPageList" [showFirstLastButtons]="true"> </mat-paginator>
</div>